%define with_eds	0

%define api		3.0
%define major		8
%define libname		%mklibname %{name} %{api} %{major}
%define devname		%mklibname %{name} -d

%define bmajor		0
%define blibname	%mklibname glbarcode %{api} %{bmajor}
%define bdevname	%mklibname glbarcode -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME program to create labels and business cards
Name:		glabels
Version:	3.4.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Office
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        glabels-externs.patch
URL:		http://glabels.sourceforge.net/

%if %{with_eds}
BuildRequires:	evolution-data-server-devel
%endif

BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk-doc
BuildRequires:	gettext-devel
BuildRequires:	itstool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64iec16022-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64xml2-devel
BuildRequires: libpthread-stubs
BuildRequires: wayland-protocols-devel


%description
Glabels is stand-alone program for creating labels and business cards
for GNOME.


%package devel
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description devel
This package contains the development files and headers for %{name}.

%package docs
Summary:	Development documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description docs
This package contains the development documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
%if %{with_eds}
	--with-libebook \
%else
	--without-libebook \
%endif
	--disable-static \
	--disable-schemas-compile
	

%make

%install
rm -rf %buildroot
%makeinstall_std

perl -p -i -e 's/%{name}-%{api}.png/%{name}-%{api}/g' \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}-%{api} --with-gnome

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}-%{api}.lang
%{_bindir}/*
%{_datadir}/%{name}-%{api}
%{_datadir}/lib%{name}-%{api}
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/glib-2.0/schemas/org.gnome.glabels-3.gschema.xml
%{_datadir}/appdata/glabels-3.appdata.xml
%{_datadir}/help/
%{_libdir}/libglabels-%{api}.so.%{major}*
%{_libdir}/libglbarcode-%{api}.so.%{bmajor}*

%files devel
%{_libdir}/libglabels-%{api}.so
%{_includedir}/libglabels-%{api}
%{_libdir}/pkgconfig/libglabels-%{api}.pc
%{_libdir}/libglbarcode-%{api}.so
%{_includedir}/libglbarcode-%{api}
%{_libdir}/pkgconfig/libglbarcode-%{api}.pc

%files docs
%{_datadir}/gtk-doc/html/libglabels-%{api}
%{_datadir}/gtk-doc/html/libglbarcode-%{api}

%clean
rm -rf %buildroot

%post
glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Thu Oct 05 2023 tex - 3.4.1-2pclos2023
- add patch
- add post scripts

* Wed May 02 2018 tex - 3.4.1-1pclos2018
- new version

* Fri Dec 30 2017 ghostbunny <ghostbunny at gmx dot de> 3.4.0-1pclos2017
- 3.4.0
- add missing BR libpthread-stubs, wayland-protocols-devel
